﻿using System.Collections.Generic;
using System.Diagnostics;
using System.Text;
using System.Windows.Input;
using Microsoft.Practices.Prism.Commands;
using HelloWorldModule.Models;

namespace HelloWorldModule.ViewModels
{
    public class HelloWorldViewModel
    {
        private readonly HelloWorldModel  helloWorldModel;

        public HelloWorldViewModel()
        {
            this.helloWorldModel = new HelloWorldModel();           
            this.AddCommand = new DelegateCommand<object>(this.OnSubmit);
        }

        public HelloWorldModel HelloWorldModel
        {
            get { return this.helloWorldModel; }
        }

        public ICommand AddCommand { get; private set; }

        private void OnSubmit(object obj)
        {
            helloWorldModel.Result = helloWorldModel.Number1 + helloWorldModel.Number2;
        }

   
    }
}
